# $Revision: 1.45 $, $Date: 2009/08/08 12:12:00 $
#
%include        /usr/lib/rpm/macros.mono
#
Summary:	Evolution# - .NET language bindings for Evolution
Summary(pl.UTF-8):	Evolution# - Wiązania Evolution dla .NET
Name:		dotnet-evolution-sharp
Version:	0.20.0
Release:	1
License:	GPL
Group:		Development/Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/evolution-sharp/0.20/evolution-sharp-%{version}.tar.bz2
# Source0-md5:	ca4f75a795aa2af36c4573971c0534f7
Patch0:		%{name}-mint.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	dotnet-gtk-sharp2-devel >= 2.10.2
BuildRequires:	evolution-data-server-devel >= 2.24.0
BuildRequires:	libtool
BuildRequires:	mono-csharp >= 1.1.16.1
BuildRequires:	pkgconfig
Requires:	evolution-data-server-libs >= 2.24.0
Requires:	mono >= 1.1.16.1
Provides:	dotnet-evolution
Obsoletes:	dotnet-evolution
ExcludeArch:	i386
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package provides bindings for .NET to Evolution libraries.

%description -l pl.UTF-8
Pakiet ten dostarcza wiązania dla .NET do bibliotek z Evolution.

%package devel
Summary:	Development part of Evolution#
Summary(pl.UTF-8):	Programistyczna część Evolution#
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	dotnet-gtk-sharp2-devel >= 2.10.2
Provides:	dotnet-evolution-devel
Obsoletes:	dotnet-evolution-devel

%description devel
Tools for developing applications using evolution-sharp.

%description devel -l pl.UTF-8
Narzędzia potrzebne przy tworzeniu aplikacji korzystających z
evolution-sharp.

%package static
Summary:	Static evolution-sharp libraries
Summary(pl.UTF-8):	Biblioteki statyczne evolution-sharp
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static evolution-sharp libraries.

%description static -l pl.UTF-8
Biblioteki statyczne evolution-sharp.

%prep
%setup -q -n evolution-sharp-%{version}
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog MAINTAINERS NEWS README
%attr(755,root,root) %{_libdir}/libevolutionglue.so
%{_libdir}/libevolutionglue.la
%{_prefix}/lib/mono/gac/evolution-sharp

%files devel
%defattr(644,root,root,755)
%{_prefix}/lib/mono/evolution-sharp
%{_datadir}/gapi-2.0/*
%{_pkgconfigdir}/*.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libevolutionglue.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: dotnet-evolution-sharp.spec,v $
Revision 1.45  2009/08/08 12:12:00  hawk
- updated to 0.20.0 for evolution-data-server 2.26.x

Revision 1.44  2008/11/23 18:42:14  megabajt
- updated to 0.18.1

Revision 1.43  2008/10/14 20:14:07  megabajt
- updated to 0.18.0

Revision 1.42  2008/05/02 09:30:25  megabajt
- back to STABLE version (0.16.1.1) on HEAD; 0.17.x is development series

Revision 1.41  2008-04-25 18:28:58  hawk
- updated to 0.17.1

Revision 1.40  2008-04-25 18:17:26  hawk
- reverted bad build fix

Revision 1.39  2008-04-25 07:33:43  hawk
- fixed build on x86_64, release 2

Revision 1.38  2008-03-25 20:55:27  sls
- ver. 0.16.0

Revision 1.37  2007/09/24 18:30:51  megabajt
- updated to 0.14.0.1

Revision 1.36  2007/08/29 21:13:58  aflinta
- up to version 0.13.3

Revision 1.35  2007/06/20 21:57:07  megabajt
- updated to 0.13

Revision 1.34  2007/05/15 15:42:12  megabajt
- updated to 0.12.4

Revision 1.33  2007/04/24 15:35:48  megabajt
- updated to 0.12.3

Revision 1.32  2007/03/13 08:46:32  deejay1
- rel. 2 for rebuild with new eds

Revision 1.31  2007/02/17 23:19:06  megabajt
- updated to 0.12.2
- removed obsolete evo28,monodir patches

Revision 1.30  2007/02/17 13:28:26  qboosh
- mono is supported on alpha now

Revision 1.29  2007/02/12 21:23:53  glen
- tabs in preamble

Revision 1.28  2007/02/12 00:48:46  baggins
- converted to UTF-8

Revision 1.27  2006/08/12 22:03:48  freetz
- rebuild with e-d-s 1.7.91, updated deps, rel.5

Revision 1.26  2006/08/01 20:07:03  freetz
- rel.4, for rebuild with new e-d-s

Revision 1.25  2006/06/22 17:32:16  freetz
- rel.3, build with recent eds/evo (patch added), GNOME 2.15.x deps

Revision 1.24  2006/06/09 15:29:10  wolf
- cosmetics

Revision 1.23  2006/05/31 20:21:19  freetz
- rel.2 for rebuild

Revision 1.22  2006/04/30 11:50:27  freetz
- 0.11.1, removed obsoleted evo26 and glibsharpglue patches

Revision 1.21  2006/02/21 16:30:17  wiget
- fixed soname for libglibsharpglue and libedataserver
- BR/R newer e-d-s and evo
- release 4

Revision 1.20  2006/01/28 23:34:25  freetz
- fixed/corrected Requires

Revision 1.19  2006/01/28 23:14:59  freetz
- evolution 2.6 patch added

Revision 1.18  2005/12/03 12:22:46  qboosh
- updated mint patch, added monodir patch for mono dlls in /usr/lib (R: mono >= 1.1.7)
- release 3

Revision 1.17  2005/11/30 16:18:55  freetz
- exclude i386 alpha sparc sparc64 from build, rel.2

Revision 1.16  2005/09/14 11:46:36  pawcioos
- updated to 0.10.2

Revision 1.15  2005/09/10 22:14:52  freetz
- 0.10.1, mono autodeps, updated BRs/Rs, cleanup, static subpkg

Revision 1.14  2005/05/03 23:09:37  qboosh
- updated to 0.6 (for evolution-data-server 1.2)
- build on alpha

Revision 1.13  2005/02/10 21:57:01  qboosh
- release 2 to rebuild with proper gacdir on amd64

Revision 1.12  2004/12/25 17:40:50  qboosh
- unified

Revision 1.11  2004/10/06 13:02:07  qboosh
- unified P/O

Revision 1.10  2004/09/20 15:41:14  grzegol
- updated to 0.4
- removed outdated libebook patch

Revision 1.9  2004/08/20 06:58:29  krzak
- ExcludeArch: alpha
- rel 3

Revision 1.8  2004/07/05 19:39:11  krzak
- R: evolution-data-server,dotnet-gtk-sharp
- libebook.patch - map ebook.dll to libebook.so.7

Revision 1.7  2004/07/05 18:48:00  krzak
- rel 2
- mint.patch (mint support)

Revision 1.6  2004/06/28 17:57:06  krzak
- BuildRequires:  dotnet-gtk-sharp-devel

Revision 1.5  2004/06/07 08:26:47  aflinta
- up to version 0.3, dotnet-evolution-sharp obsoletes dotnet-evolution

Revision 1.4  2004/05/05 18:35:02  malekith
- rename to dotnet-evolution; yet untested -- the new version with
  gacutil support should be out soon

Revision 1.3  2004/05/05 18:12:08  qboosh
- pl summary for -devel

Revision 1.2  2004/02/19 22:31:09  grzegol
- updated to 0.2

Revision 1.1  2004/02/08 17:06:19  grzegol
- new
